﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI;

namespace Mediachase.Commerce.Website.Controls
{
    public class CmsHyperLink : HyperLink
    {
        /// <summary>
        /// Gets or sets a value indicating whether [resolve image URL].
        /// </summary>
        /// <value><c>true</c> if [resolve image URL]; otherwise, <c>false</c>.</value>
        public bool ResolveImageUrl
        {
            get;set;
        }

        /// <summary>
        /// Displays the <see cref="T:System.Web.UI.WebControls.HyperLink"/> control on a page.
        /// </summary>
        /// <param name="writer">The output stream to render on the client.</param>
        protected override void RenderContents(HtmlTextWriter writer)
        {
            string imageUrl = this.ImageUrl;
            if (imageUrl.Length > 0)
            {
                Image image = new Image();
                this.Controls.Add(image);

                //if (ResolveImageUrl)
                //    image.ImageUrl = base.ResolveClientUrl(imageUrl); // imageUrl; // base.ResolveClientUrl(imageUrl);
                //else
                image.ImageUrl = imageUrl;


                imageUrl = this.ToolTip;
                if (imageUrl.Length != 0)
                {
                    image.ToolTip = imageUrl;
                }
                imageUrl = this.Text;
                if (imageUrl.Length != 0)
                {
                    image.AlternateText = imageUrl;
                }
                image.RenderControl(writer);
            }
            else 
            {
                base.RenderContents(writer);
            }
        }
    }
}
